// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, RewardCount:奖励数量

export default class Fish_ActivityKillCrabRankRewardCFG {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"RewardList":[1,94],"RewardCount":[50000000,50]}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"RewardList":[1,94],"RewardCount":[30000000,25]}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"RewardList":[1,94],"RewardCount":[15000000,10]}

      ,"4":{"ID":4,"StartRank":4,"EndRank":5,"RewardList":[1,27],"RewardCount":[10000000,2]}

      ,"5":{"ID":5,"StartRank":6,"EndRank":10,"RewardList":[1,27],"RewardCount":[5000000,1]}

      ,"6":{"ID":6,"StartRank":11,"EndRank":20,"RewardList":[1],"RewardCount":[2000000]}

      ,"7":{"ID":7,"StartRank":21,"EndRank":50,"RewardList":[1],"RewardCount":[1000000]}

      }// ID:ID, StartRank:开始排名, EndRank:结束排名, RewardList:奖励道具列表，填写M_ItemCFG中的道具ID, RewardCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}